
package org.apache.fop.fo.properties;

import org.apache.fop.datatypes.*;
import org.apache.fop.fo.*;
import org.apache.fop.apps.FOPException;
import org.apache.fop.messaging.MessageHandler;

public class GenericColor extends  ColorTypeProperty.Maker {




    static public Property.Maker maker(String propName) {
	return new GenericColor(propName);
    }

    protected GenericColor(String name) {
	super(name);

    }


    // See if other value types are acceptable
    protected Property convertPropertyDatatype(Property p,
	PropertyList propertyList, FObj fo) {
      
      {
        String strval = 
		p.getString();
	if (strval != null) {
	    return new ColorTypeProperty(
		    
			 new ColorType(strval));
        }
      }
      
      return super.convertPropertyDatatype(p, propertyList, fo);
    }

}
